//-----------------------------------------------------------------------------
//      API_1_SVE_COORS_1.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//      Package Definition
//-----------------------------------------------------------------------------
package sim.test.access.api_1_sve_coors;

//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------
import sim.access.*;
import sim.toolkit.* ;
import javacard.framework.* ;

import sim.test.util.* ;

/**
 * Test Area : Constructor SIMViewException (short reason)
 *
 * Applet is triggered on EVENT_FORMATTED_SMS_PP_ENV
 *
 * @version 0.0.2 - 29/11/00
 * @autor 3GPP T3 SWG API
 *
 * @see sim.access.SIMViewException
 *
 */

public class API_1_SVE_COORS_1 extends TestToolkitApplet {

  /**
   * Constructor of the applet
   */
  private ToolkitRegistry obReg ;

  public API_1_SVE_COORS_1()
  {
  }

  /**
   * Method called by the JCRE at the installation of the applet
*/
  public static void install(byte bArray[], short bOffset, byte bLength) {
    // Create a new applet instance
    API_1_SVE_COORS_1 thisApplet = new API_1_SVE_COORS_1();

    // Register the new applet instance to the JCRE
    thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);

	// Initialise the data of the test applet
    thisApplet.init();
  }


  /**
   * Method called by the SIM Toolkit Framework
   */
  public void processToolkit(byte event) {
    // Number of tests
    byte testCaseNb = (byte)0;
    // Result of tests
    boolean bRes = false;

      // --------------------------------------------
      // Test Case 1 : SIMViewException with the secified
      // set reason

      testCaseNb = (byte)1;
	  bRes = false ;

	  SIMViewException ex = new SIMViewException((short)19);
	    if( ex.getReason() == (short)19) {
          	bRes = true ;
        }
      reportTestOutcome(testCaseNb, bRes) ;

      // End of the Test Sequence

  }
}
