//-----------------------------------------------------------------------------
//    FWK_TIN_ACDO_3.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------
package sim.test.framework.fwk_tin_acdo;

//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------
import sim.toolkit.* ;
import javacard.framework.* ;
import sim.test.util.* ;
import sim.access.*;

/**
 * Test Area : Framework_ToolkitInstallation_AccessDomain(byte event) method
 * 
 * Applet is triggered on Install (Install), EVENT_MENU_SELECTION
 *
 * @version 0.0.1 - 13/02/02
 *
 */
public class FWK_TIN_ACDO_3 extends TestToolkitApplet
{ 
	private SIMView obSim;

	/**
     * Constructor of the applet
     */
	
	public FWK_TIN_ACDO_3()
	{
		// Get a reference to the SIM View.
        obSim = SIMSystem.getTheSIMView();
	} 

	/**
     * Method called by the JCRE at the installation of the applet
     */
	public static void install(byte bArray[], short bOffset, byte bLength)
	{
		// Create a new applet instance
		FWK_TIN_ACDO_3 thisApplet = new FWK_TIN_ACDO_3();

		// Register the new applet instance to the JCRE
		thisApplet.register(bArray, (short)(bOffset+1), (byte) bArray[bOffset]);

		// Initialise the data of the test applet
		thisApplet.init();
		
		// register instance with the EVENT_UNFORMATTED_SMS_PP_ENV event
		thisApplet.obReg.setEvent(EVENT_UNFORMATTED_SMS_PP_ENV);
	}

    /**
     * Method called by the SIM Toolkit Framework
     */
	public void processToolkit(byte event)
	{
		if (event == EVENT_UNFORMATTED_SMS_PP_ENV) {
		// restore EF_SUME file as valid file
		
			obSim.select(obSim.FID_DF_GSM);
			obSim.select(obSim.FID_EF_SUME);
			obSim.rehabilitate();
		
		}
	}
}