//-----------------------------------------------------------------------------
//    FWK_APT_ECCN_2.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------

package sim.test.framework.fwk_apt_eccn;


//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------


import sim.toolkit.*;
import javacard.framework.*;
import sim.test.util.*;


/**
 * Test Area: Applet Triggering
 *
 * Applet is triggered on Install (Install, all events
 *
 * @version 0.0.1 - 15/11/01
 *
 */

 public class FWK_APT_ECCN_2 extends TestToolkitApplet{

     private byte testCaseNb = (byte) 0x00;
     private byte[] TEXT ={(byte)'T',(byte)'e',(byte)'x',(byte)'t',(byte)' ',(byte)'1'};
     private boolean bRes;
     private byte nbCases =(byte)0x00;

    //Constructor of the applet

    public FWK_APT_ECCN_2(){

    }


    //Method called by the JCRE at the installation of the applet
    public static void install (byte bArray[], short bOffset, byte bLength){

        //Create a new applet instace
        FWK_APT_ECCN_2 thisApplet = new FWK_APT_ECCN_2();

        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);
        // Initialise the data of the test applet
        thisApplet.init();
        //Prepare result table for test that the applet is no triggered when
        //is deregistered to the event
        thisApplet.baTestsResults[(byte)0x01]=(byte)0xCC;
    }


    //Method called by the SIM Toolkit Framework

    public void processToolkit(byte event){

       bRes=false;
       if(event==EVENT_FORMATTED_SMS_PP_ENV ){
	    //TestCase 1:displayText command is sent and Applet is registered to
	    //EVENT_CALL_CONTROL_BY_SIM
            testCaseNb=(byte)0x02;
             try{
                ProactiveHandler prHdlr = ProactiveHandler.getTheHandler();
                prHdlr.initDisplayText((byte)0x80,DCS_8_BIT_DATA,TEXT,(short)0x00,(short)TEXT.length);
                prHdlr.send();
                obReg.setEvent(EVENT_CALL_CONTROL_BY_SIM);
                nbCases=(byte)0x01;
                bRes=true;
             }
             catch(Exception e){
                bRes=false;
             }
             reportTestOutcome(testCaseNb,bRes);
       }

     if(event==EVENT_CALL_CONTROL_BY_SIM){
	//TestCase 2:Applet must be triggered
	    switch(nbCases){
	        case (byte)0x00:
	            testCaseNb=(byte)0x01;
	            bRes=false;
	            reportTestOutcome(testCaseNb,bRes);
	        break;
	        case (byte)0x01:
               testCaseNb=0x03;
               bRes=true;
               reportTestOutcome(testCaseNb,bRes);
        }
     }
  }
 }