//-----------------------------------------------------------------------------
//    FWK_APT_EFCA_1.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------

package sim.test.framework.fwk_apt_efca;


//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------


import sim.toolkit.*;
import javacard.framework.*;
import sim.test.util.*;


/**
 * Test Area: Applet Triggering, EVENT_FIRST_COMMAND_AFTER_SELECT
 *
 * Applet is triggered on EVENT_FORMATTED_SMS_PP_ENV
 *
 *
 */

 public class FWK_APT_EFCA_1 extends TestToolkitApplet {

    private byte testCaseNb = (byte) 0x00;
    private static boolean bRes;
    private byte nbCases =(byte)0x00;
    protected static byte FirstBetweenApp1AndApp2=0;

    // Constructor of the applet
    public FWK_APT_EFCA_1() {
        // Register to EVENT_FIRST_COMMAND_AFTER_SELECT
        obReg.setEvent(EVENT_FIRST_COMMAND_AFTER_SELECT);
    }


    // Method called by the JCRE at the installation of the applet
    public static void install (byte bArray[], short bOffset, byte bLength) {
        // Create a new applet instance
        FWK_APT_EFCA_1 thisApplet = new FWK_APT_EFCA_1();
        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);
        // Initialise the data of the test applet
        thisApplet.init();
    }


    // Method called by the SIM Toolkit Framework
    public void processToolkit(byte event) {

        bRes=false;

        if(event==EVENT_FIRST_COMMAND_AFTER_SELECT) {

            switch(nbCases) {
                case (byte)0x00:
                    // TEST CASE 1: The applet is triggered by EVENT_FIRST_COMMAND_AFTER_SELECT
                    testCaseNb=(byte)0x01;
                    if (FirstBetweenApp1AndApp2 == 0) {
                        try{
                            //The applet is deregistered to the event 	                   
                            obReg.clearEvent(EVENT_FIRST_COMMAND_AFTER_SELECT);                    
                            bRes=true;
                        }
                        catch(Exception e){
                            bRes=false;
                        }
                        FirstBetweenApp1AndApp2=1;
                    }
                    reportTestOutcome(testCaseNb,bRes);
                    reportTestOutcome((byte)0x02,true);
                    reportTestOutcome((byte)0x03,true);
                    nbCases++;
                    break;

                case (byte)0x01:
                    // Test Case 2: the applet shall not be triggered
                    testCaseNb=(byte)0x01;
                    bRes=false;
                    reportTestOutcome(testCaseNb,bRes);
                    nbCases++;
                    break;

                case (byte)0x02:
                    // Test Case 3: the applet shall not be triggered
                    testCaseNb=(byte)0x02;
                    bRes=false;
                    reportTestOutcome(testCaseNb,bRes);
                    break;
            }
        }
    }

 }