//-----------------------------------------------------------------------------
//    FWK_APT_EPDW_3.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------

package sim.test.framework.fwk_apt_epdw;


//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------


import sim.toolkit.*;
import javacard.framework.*;
import sim.test.util.*;


/**
 * Test Area: Applet Triggering
 *
 * Applet is triggered on Install (Install, all events
 *
 * @version 0.0.1 - 15/11/01
 *
 */

 public class FWK_APT_EPDW_3 extends TestToolkitApplet{

     private static byte testCaseNb = (byte) 0x00;
     private static byte cntCases = (byte)0x00;
     private byte[] TEXT= {(byte)'T',(byte)'e',(byte)'x',(byte)'t',(byte)' ',(byte)'1'};
     private boolean bRes;


    //Constructor of the applet


    public FWK_APT_EPDW_3(){

    }


    //Method called by the JCRE at the installation of the applet
    public static void install (byte bArray[], short bOffset, byte bLength){

        //Create a new applet instace
        FWK_APT_EPDW_3 thisApplet = new FWK_APT_EPDW_3();

        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);
        // Initialise the data of the test applet
        thisApplet.init();

        //Access to baTestsResults array for prepare the test suite
        thisApplet.baTestsResults[(byte)0x01]=(byte)0xCC;
    }


    //Method called by the SIM Toolkit Framework

     public void processToolkit(byte event){

        bRes=false;
        switch(event){

            //event EVENT_PROFILE_DOWNLOAD
            case EVENT_PROFILE_DOWNLOAD:

                  switch(cntCases){
                    case (byte)0x00:
                          testCaseNb=(byte)0x01;
                          //create the table of results
                          reportTestOutcome(testCaseNb,bRes);
                    break;

                    case (byte)0x01:
                         testCaseNb=(byte)0x03;
                         bRes=true;
                         //create the table of results
                         reportTestOutcome(testCaseNb,bRes);
                  }
            break;

            default:
                testCaseNb=(byte)0x02;
                cntCases=(byte)0x01;
                try{
                    ProactiveHandler proHdlr = ProactiveHandler.getTheHandler();
                    //build a Proactive Command Refresh
                    proHdlr.init(PRO_CMD_REFRESH,(byte)0x03,DEV_ID_ME);                   
                    //send the Refresh command
                    proHdlr.send();
                    //deregister the event EVENT_PROFILE_DOWNLOAD
                    obReg.setEvent(EVENT_PROFILE_DOWNLOAD);
                    bRes=true;
                }
                catch(Exception e){
                    bRes=false;
                }
                //create the table of results
                reportTestOutcome(testCaseNb,bRes);

        }


    }


 }