//-----------------------------------------------------------------------------
//    FWK_PCS_IGCO_1.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------
package sim.test.framework.fwk_pcs_igco;

//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------
import sim.toolkit.* ;
import javacard.framework.* ;
import sim.test.util.* ;

/**
 * Test Area : sim.framework...
 *
 * Applet is triggered on Install (Install), EVENT_MENU_SELECTION
 *
 * @version 0.0.1 - 15/07/01
 *
 */

public class FWK_PCS_IGCO_1 extends TestToolkitApplet
{

 	byte[] MenuInit = {(byte)'M',(byte)'e',(byte)'n',(byte)'u',(byte)'1'};

	private static byte   IDmenu01;
	private static byte   IDmenu02;

	byte[] Test = {(byte)'T',(byte)'e',(byte)'s',(byte)'t',(byte)' ',(byte)'A'} ;

	/**
     * Constructor of the applet
     */
    public FWK_PCS_IGCO_1()
    {

	IDmenu01 = obReg.initMenuEntry(MenuInit, (short) 0,
										(short) MenuInit.length, (byte) 0, false,
										(byte) 0, (short) 0);
	MenuInit [4] = (byte) '2';
	IDmenu02 = obReg.initMenuEntry(MenuInit, (short) 0,
										(short) MenuInit.length, (byte) 0, false,
										(byte) 0, (short) 0);
	}

    /**
     * Method called by the JCRE at the installation of the applet.
     */
    public static void install(byte bArray[], short bOffset, byte bLength) {

        // Create a new applet instance.
        FWK_PCS_IGCO_1 thisApplet = new FWK_PCS_IGCO_1();

        // Register the new applet instance to the JCRE.
        thisApplet.register(bArray, (short)(bOffset+1), (byte)bArray[bOffset]);

        // Initialise the data of the test applet.
        thisApplet.init();

   }


    public void processToolkit(byte event)
    {
	    // Number of tests
	    byte testCaseNb = (byte)0;
	    // Result of tests
	    boolean bRes = false;


        // Get the system instance of the ProactiveHandler class
        ProactiveHandler proHdlr  = ProactiveHandler.getTheHandler() ;
		EnvelopeHandler  envHdlr  = EnvelopeHandler.getTheHandler();

		if (event !=  EVENT_MENU_SELECTION)
          	return;

		   // check menu ID
		   byte menuID = envHdlr.getItemIdentifier();

		  // -----------------------------------------------------------------
		  // Test Case 2 :	 Menu Item 01
		  // -----------------------------------------------------------------
		  if( menuID == IDmenu01 )
		   	{
			testCaseNb = (byte) 1;
			Test[5] = (byte) 'A';
			proHdlr.initDisplayText((byte)0x00, DCS_8_BIT_DATA, Test, (short)0, (short)Test.length) ;
            proHdlr.send() ;

			bRes = true;
			}

		  // -----------------------------------------------------------------
		  // Test Case 3 :	Menu Item 02
		  // -----------------------------------------------------------------
		  if( menuID == IDmenu02 )
			{
			testCaseNb = (byte) 2;
			Test[5] = (byte) 'B';
			proHdlr.initDisplayText((byte)0x00, DCS_8_BIT_DATA, Test, (short)0, (short)Test.length) ;
            proHdlr.send() ;

			Test[5] = (byte) 'C';
			proHdlr.initDisplayText((byte)0x00, DCS_8_BIT_DATA, Test, (short)0, (short)Test.length) ;
            proHdlr.send() ;

			bRes = true;
			}

		reportTestOutcome(testCaseNb, bRes);

		}

}
