//-----------------------------------------------------------------------------
//    API_2_TKR_IEVSB_2.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------
package sim.test.toolkit.api_2_tkr_ievsb;

//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------
import sim.toolkit.*;
import javacard.framework.*;
import sim.test.util.*;

/**
 * Test Area : sim.toolkit.ToolkitRegistry.isEventSet(byte event) method
 *
 * Applet is triggered on Install (Install), EVENT_FORMATTED_SMS_PP_ENV
 *
 */
public class API_2_TKR_IEVSB_2 extends TestToolkitApplet {

    /**
     * Constructor of the applet
     */
    public API_2_TKR_IEVSB_2() {
    }

    /**
     * Method called by the JCRE at the installation of the applet
     */
    public static void install(byte bArray[], short bOffset, byte bLength) {
        // Create a new applet instance
        API_2_TKR_IEVSB_2 thisApplet = new API_2_TKR_IEVSB_2();

        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), (byte) bArray[bOffset]);

        // Initialise the data of the test applet
        thisApplet.init();
    }


    /**
     * Method called by the SIM Toolkit Framework
     */
    public void processToolkit(byte event) {
        // Result of tests
        boolean bRes = false;

        // Number of tests
        byte testCaseNb = (byte)0x01;

        bRes = !obReg.isEventSet(EVENT_MENU_SELECTION);

        reportTestOutcome(testCaseNb, bRes);
    }
}
