//-----------------------------------------------------------------------------
//    API_2_TKR_SEVTB_3.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------
package sim.test.toolkit.api_2_tkr_sevtb;

//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------
import sim.toolkit.* ;
import javacard.framework.* ;
import sim.test.util.* ;

/**
 * Test Area : sim.toolkit.ToolkitRegistry.setEvent(byte event) method
 * 
 * Applet is triggered on Install (Install), EVENT_FORMATTED_SMS_PP_ENV
 *
 */
public class API_2_TKR_SEVTB_3 extends TestToolkitApplet {
	

    // Result of tests
    protected static boolean bRes=false ;


    /**
     * Constructor of the applet
     */
    public API_2_TKR_SEVTB_3() {
        // register to EVENT_UNFORMATTED_SMS_CB
        obReg.setEvent(EVENT_UNFORMATTED_SMS_CB);
    }


    /**
     * Method called by the JCRE at the installation of the applet
     */
    public static void install(byte bArray[], short bOffset, byte bLength) {

        // Create a new applet instance
        API_2_TKR_SEVTB_3 thisApplet = new API_2_TKR_SEVTB_3();

        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), (byte) bArray[bOffset]);

        // Initialise the data of the test applet
        thisApplet.init();
    }
    

    /**
     * Method called by the SIM Toolkit Framework
     */
    public void processToolkit(byte event) {

        byte testCaseNb = (byte) 0x01;

		// -----------------------------------------------------------------
		// Test Case 15 : no TAR defined
		// -----------------------------------------------------------------

        if (event == EVENT_UNFORMATTED_SMS_CB) {
            bRes = true;
            reportTestOutcome(testCaseNb, bRes);
            
            // 2- setEvent(EVENT_FORMATTED_SMS_PP_ENV)
            testCaseNb = (byte) 0x02;
		    try {
                obReg.setEvent(EVENT_FORMATTED_SMS_PP_ENV);
                bRes=false;
		    }

		    catch (ToolkitException e) {	
			    bRes = (e.getReason()==ToolkitException.TAR_NOT_DEFINED);
		    }
            reportTestOutcome(testCaseNb, bRes);

            // 3- setEvent(EVENT_FORMATTED_SMS_PP_UPD)
		    testCaseNb = (byte) 0x03;
            try {
                obReg.setEvent(EVENT_FORMATTED_SMS_PP_UPD);
                bRes=false;
		    }

		    catch (ToolkitException e) {	
			    bRes = (e.getReason()==ToolkitException.TAR_NOT_DEFINED);
		    }
            reportTestOutcome(testCaseNb, bRes);
            
            // 4- setEvent(EVENT_FORMATTED_SMS_CB)
            testCaseNb = (byte) 0x04;
		    try {
                obReg.setEvent(EVENT_FORMATTED_SMS_CB);
                bRes=false;
		    }

		    catch (ToolkitException e) {	
			    bRes = (e.getReason()==ToolkitException.TAR_NOT_DEFINED);
		    }
            reportTestOutcome(testCaseNb, bRes);
        }

	
	}
}

