//-----------------------------------------------------------------------------
//    API_2_ENH_GLEN_1 .java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------
package sim.test.toolkit.api_2_enh_glen;

//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------
import sim.toolkit.* ;
import javacard.framework.* ;
import sim.test.util.* ;

/**
 * Test Area : sim.tookit.EnvelopeHandler.getLength()
 * 
 * Applet is triggered on Install (Install), EVENT_FORMATTED_SMS_PP_ENV
 *
 */
public class API_2_ENH_GLEN_1  extends TestToolkitApplet
{
    // Number of tests
    byte testCaseNb = (byte) 0x00;
    byte testCaseSubNb =(byte) 0x01;
        
	/**
     * Constructor of the applet
     */
    public API_2_ENH_GLEN_1 () 
    {
		
    }


    /**
     * Method called by the JCRE at the installation of the applet
     */
    public static void install(byte bArray[], short bOffset, byte bLength) 
    {
        // Create a new applet instance
        API_2_ENH_GLEN_1  thisApplet = new API_2_ENH_GLEN_1 ();

        // Register the new applet instance to the JCRE            
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);

        // Initialise the data of the test applet
        thisApplet.init();    
    }
    

    /**
       * Method called by the SIM Toolkit Framework
     */
    public void processToolkit(byte event) 
    {
        // Result of tests
        boolean bRes ;
        
        // Get the system instance of handlers
		EnvelopeHandler envHdlr = EnvelopeHandler.getTheHandler();
		ProactiveHandler proHdlr = ProactiveHandler.getTheHandler() ;
        
	    switch ( testCaseNb ) 
		{
			case (byte) 0 :
				// --------------------------------------------
				// Test Case 1 : 
				testCaseNb = (byte) 1 ;

				bRes = false ;
				try {
					if (envHdlr.getLength()==0x31 )
						bRes = true;
				}
				catch (Exception e)    {    
					bRes = false ;
				}
				reportTestOutcome(testCaseNb, bRes) ;
				break;

			case (byte) 1 :
				// --------------------------------------------
				// Test Case 2 : 
				testCaseNb = (byte) 2 ;

				bRes = false ;
				try {
					if (envHdlr.getLength()==0x7F )
						bRes = true;
				}
				catch (Exception e)    {    
					bRes = false ;
				}
				reportTestOutcome(testCaseNb, bRes) ;
				break;

			case (byte) 2 :
				// --------------------------------------------
				// Test Case 3 : 
				testCaseNb = (byte) 3 ;

				bRes = false ;
				try {
					if (envHdlr.getLength()==0x80 )
						bRes = true;
				}
				catch (Exception e)    {    
					bRes = false ;
				}
				reportTestOutcome(testCaseNb, bRes) ;
				break;

			case (byte) 3 :
				// --------------------------------------------
				// Test Case 4 : 
				testCaseNb = (byte) 4 ;

				bRes = false ;
				try {
					if (envHdlr.getLength()==0xFC )
						bRes = true;
				}
				catch (Exception e)    {    
					bRes = false ;
				}
				reportTestOutcome(testCaseNb, bRes) ;
				break;

			case (byte) 4 :
				// --------------------------------------------
				// Test Case 5 : 
				testCaseNb = (byte) 5 ;

				bRes = false ;
				try {
					if (envHdlr.getLength()==0xFF )
						bRes = true;
				}
				catch (Exception e)    {    
					bRes = false ;
				}
				reportTestOutcome(testCaseNb, bRes) ;
				break;

			case (byte) 5 :
				// --------------------------------------------
				// Test Case 6 : 
				testCaseNb = (byte) 6 ;

				bRes = false ;
				try {
					if (envHdlr.getLength()==0x100 )
						bRes = true;
				}
				catch (Exception e)    {    
					bRes = false ;
				}
				reportTestOutcome(testCaseNb, bRes) ;
				break;

			case (byte) 6 :
				// --------------------------------------------
				// Test Case 7 : 
				testCaseNb = (byte) 7 ;

				bRes = false ;
				try {
					if (envHdlr.getLength()==0x12F )
						bRes = true;
				}
				catch (Exception e)    {    
					bRes = false ;
				}
				reportTestOutcome(testCaseNb, bRes) ;
				break;

		}
	}
}
