//-----------------------------------------------------------------------------
//    FWK_APT_EFCA_4.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------

package sim.test.framework.fwk_apt_efca;


//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------


import sim.toolkit.*;
import javacard.framework.*;
import sim.test.util.*;


/**
 * Test Area: Applet Triggering, EVENT_FIRST_COMMAND_AFTER_SELECT
 *
 * Applet is triggered on EVENT_FORMATTED_SMS_PP_ENV
 *
 *
 */

 public class FWK_APT_EFCA_4 extends TestToolkitApplet {

     private byte testCaseNb = (byte) 0x00;
     private static boolean bRes;
     private byte nbCases =(byte)0x00;


    // Constructor of the applet
    public FWK_APT_EFCA_4() {
        // Register to EVENT_FIRST_COMMAND_AFTER_SELECT
        obReg.setEvent(EVENT_FIRST_COMMAND_AFTER_SELECT);
        // Register to EVENT_PROFILE_DOWNLOAD
        obReg.setEvent(EVENT_PROFILE_DOWNLOAD);
    }


    // Method called by the JCRE at the installation of the applet
    public static void install (byte bArray[], short bOffset, byte bLength) {
        // Create a new applet instance
        FWK_APT_EFCA_4 thisApplet = new FWK_APT_EFCA_4();
        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);
        // Initialise the data of the test applet
        thisApplet.init();
    }


    // Method called by the SIM Toolkit Framework
    public void processToolkit(byte event) {

        bRes=false;

        switch(nbCases) {
            case (byte)0x00:
                // Test Case 3, 1st result: the applet is triggered by EVENT_FIRST_COMMAND_AFTER_SELECT
                testCaseNb = (byte) 0x01;
                if ((event==EVENT_FIRST_COMMAND_AFTER_SELECT) && (FWK_APT_EFCA_3.FirstBetweenApp3AndApp4 == 0)) {
                    bRes=true;
                    FWK_APT_EFCA_3.FirstBetweenApp3AndApp4 = 1;
                }
                reportTestOutcome(testCaseNb,bRes);
                bRes=false;
                nbCases++;
                break;

            case (byte)0x01:
                // Test Case 4, 2nd result: the applet is triggered by EVENT_PROFILE_DOWNLOAD
                testCaseNb = (byte) 0x02;
                if ((event==EVENT_PROFILE_DOWNLOAD) && (FWK_APT_EFCA_3.FirstBetweenApp3AndApp4 == 2)) {
                    bRes=true;
                    FWK_APT_EFCA_3.FirstBetweenApp3AndApp4 = 3;
                }
                reportTestOutcome(testCaseNb,bRes);
                break;

        }
    }

 }