//-----------------------------------------------------------------------------
//    FWK_APT_EFCA_5.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------

package sim.test.framework.fwk_apt_efca;


//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------


import sim.toolkit.*;
import javacard.framework.*;
import sim.test.util.*;


/**
 * Test Area: Applet Triggering, EVENT_FIRST_COMMAND_AFTER_SELECT
 *
 * Applet is triggered on EVENT_FORMATTED_SMS_PP_ENV
 *
 *
 */

 public class FWK_APT_EFCA_5 extends TestToolkitApplet {

    private byte testCaseNb = (byte) 0x00;
    private static boolean bRes;
    private byte nbCases =(byte)0x00;
    private byte result = (byte)0x00;

    private static byte [] Menu1 = 
						{	(byte) 'M',
							(byte) 'e',
							(byte) 'n',
							(byte) 'u', 
                            (byte) '1'};
    private static byte [] Menu2 = 
						{	(byte) 'M',
							(byte) 'e',
							(byte) 'n',
							(byte) 'u', 
                            (byte) '2'};


    // Constructor of the applet
    public FWK_APT_EFCA_5() {
        // Register to EVENT_FIRST_COMMAND_AFTER_SELECT
        obReg.setEvent(EVENT_FIRST_COMMAND_AFTER_SELECT);
        result = obReg.initMenuEntry(Menu1, (short) 0, (short) 5, (byte) 0, false, (byte) 0, (short) 0);
        result = obReg.initMenuEntry(Menu2, (short) 0, (short) 5, (byte) 0, false, (byte) 0, (short) 0);
    }


    // Method called by the JCRE at the installation of the applet
    public static void install (byte bArray[], short bOffset, byte bLength) {
        // Create a new applet instance
        FWK_APT_EFCA_5 thisApplet = new FWK_APT_EFCA_5();
        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);
        // Initialise the data of the test applet
        thisApplet.init();
    }


    // Method called by the SIM Toolkit Framework
    public void processToolkit(byte event) {

        bRes=false;
        testCaseNb=(byte)0x01;
        if(event==EVENT_FIRST_COMMAND_AFTER_SELECT) {
            /* Test Case 1: The applet is triggered by EVENT_FIRST_COMMAND_AFTER_SELECT
            *               Applet disables a menu entry
            */        
            try{
                //The Menu2 is disabled                  
                obReg.disableMenuEntry(result);
                bRes=true;
            }
            catch(Exception e){
                bRes=false;
            }
            reportTestOutcome(testCaseNb,bRes);
        } else {
            reportTestOutcome(testCaseNb,bRes);
        }
    }
 }