//-----------------------------------------------------------------------------
//    FWK_APT_EMSH_2.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------

package sim.test.framework.fwk_apt_emsh;


//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------


import sim.toolkit.*;
import javacard.framework.*;
import sim.test.util.*;


/**
 * Test Area: Applet Triggering, EVENT_MENU_SELECTION_HELP_REQUEST
 *
 * Applet is triggered on EVENT_FORMATTED_SMS_PP
 *
 */

 public class FWK_APT_EMSH_2 extends TestToolkitApplet {

     private static byte testCaseNb = (byte) 0x00;
     private byte[] menuEntry2A ={(byte)'A',(byte)'p',(byte)'p',(byte)'l',(byte)'e',(byte)'t',(byte)'2',(byte)'A'};
     private byte[] menuEntry2B ={(byte)'A',(byte)'p',(byte)'p',(byte)'l',(byte)'e',(byte)'t',(byte)'2',(byte)'B'};
     private static boolean bRes;

    // Constructor of the applet
    public FWK_APT_EMSH_2() {
        // register to EVENT_MENU_SELECTION_HELP_REQUEST
        obReg.initMenuEntry(menuEntry2A,(short)0x00,(short)menuEntry2A.length,(byte)0x00,true,(byte)0x00,(short)0x00);
        obReg.initMenuEntry(menuEntry2B,(short)0x00,(short)menuEntry2B.length,(byte)0x00,false,(byte)0x00,(short)0x00);
    }


    // Method called by the JCRE at the installation of the applet
    public static void install (byte bArray[], short bOffset, byte bLength) {

        // Create a new applet instance
        FWK_APT_EMSH_2 thisApplet = new FWK_APT_EMSH_2();

        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);
        
        // Initialise the data of the test applet
        thisApplet.init();

        // Test Case 2: Check if the applet is registered to the event
        bRes=thisApplet.obReg.isEventSet(EVENT_MENU_SELECTION_HELP_REQUEST);
    }


    // Method called by the SIM Toolkit Framework

    public void processToolkit(byte event) {

        if (event == EVENT_MENU_SELECTION_HELP_REQUEST) {

            switch(testCaseNb) {
                case (byte)0x00:
                    // Test Case 1: 1-The applet is registered to EVENT_MENU_SELECTION_HELP_REQUEST
                    testCaseNb=(byte)0x01;
                    reportTestOutcome(testCaseNb,bRes);
                    //              5-The applet is triggered by EVENT_MENU_SELECTION_HELP_REQUEST with Item identifier 03
                    testCaseNb = (byte) 0x02;
                    bRes=true;
                    reportTestOutcome(testCaseNb,bRes);
                    testCaseNb = (byte) 0x03;
                    //              6-The applet is not triggered by EVENT_MENU_SELECTION_HELP_REQUEST with Item identifier 04
                    reportTestOutcome(testCaseNb,bRes);
                    testCaseNb = (byte) 0x04;
                    break;
                case (byte)0x04:
                    //              6-The applet shall not triggered by EVENT_MENU_SELECTION_HELP_REQUEST with Item identifier different from 03 
                    bRes= false;
                    testCaseNb = (byte) 0x03;
                    reportTestOutcome(testCaseNb,bRes);
                    break;

            }
        }
    }
 }