//-----------------------------------------------------------------------------
//    FWK_APT_ESTC_3.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------

package sim.test.framework.fwk_apt_estc;


//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------


import sim.toolkit.*;
import javacard.framework.*;
import sim.test.util.*;


/**
 * Test Area: Applet Triggering
 *
 * Applet is triggered on Install (Install, all events
 *
 * @version 0.0.1 - 15/11/01
 *
 */

 public class FWK_APT_ESTC_3 extends TestToolkitApplet{

     private byte testCaseNb = (byte) 0x00;
     private byte[] TEXT = {(byte)'T',(byte)'e',(byte)'x',(byte)'t',(byte)' ',(byte)'1'};
      private static byte cntCases = (byte)0x00;
     private boolean bRes;


    //Constructor of the applet

    public FWK_APT_ESTC_3(){

    }


    //Method called by the JCRE at the installation of the applet
    public static void install (byte bArray[], short bOffset, byte bLength){

        //Create a new applet instace
        FWK_APT_ESTC_3 thisApplet = new FWK_APT_ESTC_3();

        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);
        // Initialise the data of the test applet
        thisApplet.init();
        thisApplet.baTestsResults[(byte)0x01]=(byte)0xCC;
    }


    //Method called by the SIM Toolkit Framework

    public void processToolkit(byte event){
        bRes=false;
        //event EVENT_FORMATTED_SMS_PP_ENV
        if(event==EVENT_FORMATTED_SMS_PP_ENV){
            //TEST CASE 1: A DISPLAY TEXT IS SENT AND THE APPLET IS REGISTERED TO THE EVENT
            testCaseNb=(byte)0x02;
            cntCases=(byte)0x01;
            try{
                //get the Proactive Handler
                ProactiveHandler proHdlr = ProactiveHandler.getTheHandler();
                //build the proactive Command Display Text
                proHdlr.initDisplayText((byte)0x80,DCS_8_BIT_DATA,TEXT,(short)0x00,(short)TEXT.length);
                //send the command
                proHdlr.send();
                //register to STATUS_COMMAND
                obReg.requestPollInterval(POLL_SYSTEM_DURATION);
                bRes=true;
            }
            catch(Exception e){
                bRes=false;
            }
            reportTestOutcome(testCaseNb,bRes);

        }
        //event STATUS_COMMAND
        if(event==EVENT_STATUS_COMMAND)
        {
 	    switch(cntCases){
               case (byte)0x00:
                     testCaseNb=(byte)0x01;
                     reportTestOutcome(testCaseNb,bRes);
               break;
               case (byte)0x01:
                     testCaseNb=(byte)0x03;
                     bRes=true;
                    reportTestOutcome(testCaseNb,bRes);
            }

        }

    }


 }