//-----------------------------------------------------------------------------
//    FWK_HIN_ERHD_1.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------

package sim.test.framework.fwk_hin_erhd;


//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------


import sim.toolkit.*;
import javacard.framework.*;
import sim.test.util.*;


/**
 * Test Area: Minimum Handler Integrity
 *
 * Applet is triggered on Install(Install), all events
 *
 *
 */

public class FWK_HIN_ERHD_1 extends TestToolkitApplet {

	private byte testCaseNb = (byte)0x00;
	private boolean bRes;

     
    //Constructor of the applet
	public FWK_HIN_ERHD_1(){
		
		obReg.setEvent(EVENT_UNRECOGNIZED_ENVELOPE);
    }


    //Method called by the JCRE at the installation of the applet
    public static void install (byte bArray[], short bOffset, byte bLength){

        //Create a new applet instace
        FWK_HIN_ERHD_1 thisApplet = new FWK_HIN_ERHD_1();

        // Register the new applet instance to the JCRE
        thisApplet.register(bArray, (short)(bOffset+1), bArray[bOffset]);
        
        // Initialise the data of the test applet
        thisApplet.init();
    }


	
    //Method called by the SIM Toolkit Framework
	public void processToolkit(byte event){

        try{
        	bRes=false;
        	EnvelopeResponseHandler envRespHdlr = EnvelopeResponseHandler.getTheHandler();
        	if (envRespHdlr.getLength()==(short)0x0000){
        		bRes=true;	
        	}
        	
        }
        catch (Exception e)	{
        	bRes=false;
        }
        
        reportTestOutcome((byte)0x01, bRes);		        
    }
} 
        
        
        
        
        
        
        