//-----------------------------------------------------------------------------
//    API_2_TKR_SEVTB_4.java
//-----------------------------------------------------------------------------

//-----------------------------------------------------------------------------
//    Package Definition
//-----------------------------------------------------------------------------
package sim.test.toolkit.api_2_tkr_sevtb;

//-----------------------------------------------------------------------------
//    Imports
//-----------------------------------------------------------------------------
import sim.toolkit.* ;
import javacard.framework.* ;
import sim.test.util.* ;

/**
 * Test Area : sim.toolkit.ToolkitRegistry.setEvent(byte event) method
 * 
 * Applet is triggered on Install (Install), EVENT_FORMATTED_SMS_PP_ENV
 *
 */
public class API_2_TKR_SEVTB_4 extends TestToolkitApplet {


    private byte testCaseNb;

    /**
     * Constructor of the applet
     */
    public API_2_TKR_SEVTB_4() {
    }


    /**
     * Method called by the JCRE at the installation of the applet
     */
    public static void install(byte bArray[], short bOffset, byte bLength) {
        // Create a new applet instance
        API_2_TKR_SEVTB_4 thisApplet = new API_2_TKR_SEVTB_4();

        // Register the new applet instance to the JCRE            
        thisApplet.register(bArray, (short)(bOffset+1), (byte) bArray[bOffset]);

        // Initialise the data of the test applet
        thisApplet.init();    
    }
    

    /**
     * Method called by the SIM Toolkit Framework
     */
    public void processToolkit(byte event) {
        // Result of tests
        boolean bRes=false;
        
		// -----------------------------------------------------------------
		// Test Case 16: applet registers more than once to the same event
		// -----------------------------------------------------------------

        if (event == EVENT_FORMATTED_SMS_PP_ENV) {
            testCaseNb = (byte) 0x01;

            // 2- setEvent(EVENT_FORMATTED_SMS_PP_UPD)
		    try {
                obReg.setEvent(EVENT_FORMATTED_SMS_PP_UPD);
                bRes=true;
		    }
		    catch (ToolkitException e) {	
			    bRes = false;
		    }
            reportTestOutcome(testCaseNb, bRes);
            bRes=false;

            // 3- setEvent(EVENT_FORMATTED_SMS_PP_UPD)
            testCaseNb = (byte) 0x02;
		    try {
                obReg.setEvent(EVENT_FORMATTED_SMS_PP_UPD);
                bRes=true;
		    }
		    catch (ToolkitException e) {	
			    bRes = false;
		    }
            reportTestOutcome(testCaseNb, bRes);
            // 4-applet is triggered by EVENT_FORMATTED_SMS_PP_UPD
            testCaseNb = (byte) 0x03;
            bRes=false;
            reportTestOutcome(testCaseNb, bRes);
        }
        
        // 4- applet is triggered by EVENT_FORMATTED_SMS_PP_UPD
        if ((event == EVENT_FORMATTED_SMS_PP_UPD) && (testCaseNb == (byte)0x03)) {
            bRes=true;
            reportTestOutcome(testCaseNb, bRes);
        }
	}
}

